const system=require("../../system");
const Dao=require("../dao.base");
class MoneyJourneyDao extends Dao{
  constructor(){
    super(Dao.getModelName(MoneyJourneyDao));
  }
  extraModelFilter(){
    return {"key":"include","value":[{model:this.db.models.moneyaccount,attributes:["id","name"]},]};
  }
  // extraWhere(obj, w) {
  //   var company_id = w.company_id || "";
  //   if (company_id) {
  //     delete w["company_id"];
  //     w[this.db.Op.or] = [{ company_id: company_id }, { createcompany_id: company_id }];
  //   }
  // }
}
module.exports=MoneyJourneyDao;
